policy Struct Reference

`#include <policy.h>`

## Data Fields

db_object_t * | dbo
db_value_t | id
db_value_t | rev
char * | name
unsigned int | passthrough
char * | description
unsigned int | signatures_resign
unsigned int | signatures_refresh
unsigned int | signatures_jitter
unsigned int | signatures_inception_offset
unsigned int | signatures_validity_default
unsigned int | signatures_validity_denial
unsigned int | signatures_validity_keyset
unsigned int | signatures_max_zone_ttl
policy_denial_type_t | denial_type
unsigned int | denial_optout
unsigned int | denial_ttl
unsigned int | denial_resalt
unsigned int | denial_algorithm
unsigned int | denial_iterations
unsigned int | denial_salt_length
char * | denial_salt
unsigned int | denial_salt_last_change
unsigned int | keys_ttl
unsigned int | keys_retire_safety
unsigned int | keys_publish_safety
unsigned int | keys_shared
unsigned int | keys_purge_after
unsigned int | zone_propagation_delay
unsigned int | zone_soa_ttl
unsigned int | zone_soa_minimum
policy_zone_soa_serial_t | zone_soa_serial
unsigned int | parent_registration_delay
unsigned int | parent_propagation_delay
unsigned int | parent_ds_ttl
unsigned int | parent_soa_ttl
unsigned int | parent_soa_minimum
policy_key_list_t * | policy_key_list
zone_list_db_t * | zone_list
hsm_key_list_t * | hsm_key_list

## Detailed Description

A policy object.

Definition at line 60 of file policy.h.

## Field Documentation

## dbo

db_object_t* policy::dbo

Definition at line 61 of file policy.h.

Referenced by policy_create(), policy_delete(), policy_free(), policy_get_by_id(), policy_get_by_name(), policy_get_policy_keys(), policy_new(), policy_new_copy(), policy_retrieve_zone_list(), policy_update(), and policy_zone_list().

## denial_algorithm

unsigned int policy::denial_algorithm

Definition at line 81 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_denial_algorithm(), policy_from_result(), policy_set_denial_algorithm(), and policy_update().

## denial_iterations

unsigned int policy::denial_iterations

Definition at line 82 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_denial_iterations(), policy_from_result(), policy_set_denial_iterations(), and policy_update().

## denial_optout

unsigned int policy::denial_optout

Definition at line 78 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_denial_optout(), policy_from_result(), policy_set_denial_optout(), and policy_update().

## denial_resalt

unsigned int policy::denial_resalt

Definition at line 80 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_denial_resalt(), policy_from_result(), policy_set_denial_resalt(), and policy_update().

## denial_salt

char* policy::denial_salt

Definition at line 84 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_denial_salt(), policy_free(), policy_from_result(), policy_new(), policy_set_denial_salt(), and policy_update().

## denial_salt_last_change

unsigned int policy::denial_salt_last_change

Definition at line 85 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_denial_salt_last_change(), policy_from_result(), policy_set_denial_salt_last_change(), and policy_update().

## denial_salt_length

unsigned int policy::denial_salt_length

Definition at line 83 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_denial_salt_length(), policy_from_result(), policy_set_denial_salt_length(), and policy_update().

## denial_ttl

unsigned int policy::denial_ttl

Definition at line 79 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_denial_ttl(), policy_from_result(), policy_set_denial_ttl(), and policy_update().

## denial_type

policy_denial_type_t policy::denial_type

Definition at line 77 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_denial_type(), policy_from_result(), policy_new(), policy_set_denial_type(), and policy_update().

## description

char* policy::description

Definition at line 68 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_description(), policy_free(), policy_from_result(), policy_set_description(), and policy_update().

## hsm_key_list

hsm_key_list_t* policy::hsm_key_list

Definition at line 102 of file policy.h.

Referenced by policy_copy(), and policy_free().

## id

db_value_t policy::id

Definition at line 62 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_delete(), policy_free(), policy_from_result(), policy_get_policy_keys(), policy_id(), policy_new(), and policy_update().

## keys_publish_safety

unsigned int policy::keys_publish_safety

Definition at line 88 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_keys_publish_safety(), policy_set_keys_publish_safety(), and policy_update().

## keys_purge_after

unsigned int policy::keys_purge_after

Definition at line 90 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_keys_purge_after(), policy_set_keys_purge_after(), and policy_update().

## keys_retire_safety

unsigned int policy::keys_retire_safety

Definition at line 87 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_keys_retire_safety(), policy_set_keys_retire_safety(), and policy_update().

## keys_shared

unsigned int policy::keys_shared

Definition at line 89 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_keys_shared(), policy_set_keys_shared(), and policy_update().

## keys_ttl

unsigned int policy::keys_ttl

Definition at line 86 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_keys_ttl(), policy_set_keys_ttl(), and policy_update().

## name

char* policy::name

Definition at line 64 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_free(), policy_from_result(), policy_name(), policy_set_name(), and policy_update().

## parent_ds_ttl

unsigned int policy::parent_ds_ttl

Definition at line 97 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_parent_ds_ttl(), policy_set_parent_ds_ttl(), and policy_update().

## parent_propagation_delay

unsigned int policy::parent_propagation_delay

Definition at line 96 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_parent_propagation_delay(), policy_set_parent_propagation_delay(), and policy_update().

## parent_registration_delay

unsigned int policy::parent_registration_delay

Definition at line 95 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_parent_registration_delay(), policy_set_parent_registration_delay(), and policy_update().

## parent_soa_minimum

unsigned int policy::parent_soa_minimum

Definition at line 99 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_parent_soa_minimum(), policy_set_parent_soa_minimum(), and policy_update().

## parent_soa_ttl

unsigned int policy::parent_soa_ttl

Definition at line 98 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_parent_soa_ttl(), policy_set_parent_soa_ttl(), and policy_update().

## passthrough

unsigned int policy::passthrough

Definition at line 67 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_passthrough(), policy_set_passthrough(), and policy_update().

## policy_key_list

policy_key_list_t* policy::policy_key_list

Definition at line 100 of file policy.h.

Referenced by policy_copy(), and policy_free().

## rev

db_value_t policy::rev

Definition at line 63 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_delete(), policy_free(), policy_from_result(), policy_new(), and policy_update().

## signatures_inception_offset

unsigned int policy::signatures_inception_offset

Definition at line 72 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_set_signatures_inception_offset(), policy_signatures_inception_offset(), and policy_update().

## signatures_jitter

unsigned int policy::signatures_jitter

Definition at line 71 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_set_signatures_jitter(), policy_signatures_jitter(), and policy_update().

## signatures_max_zone_ttl

unsigned int policy::signatures_max_zone_ttl

Definition at line 76 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_new(), policy_set_signatures_max_zone_ttl(), policy_signatures_max_zone_ttl(), and policy_update().

## signatures_refresh

unsigned int policy::signatures_refresh

Definition at line 70 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_set_signatures_refresh(), policy_signatures_refresh(), and policy_update().

## signatures_resign

unsigned int policy::signatures_resign

Definition at line 69 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_set_signatures_resign(), policy_signatures_resign(), and policy_update().

## signatures_validity_default

unsigned int policy::signatures_validity_default

Definition at line 73 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_set_signatures_validity_default(), policy_signatures_validity_default(), and policy_update().

## signatures_validity_denial

unsigned int policy::signatures_validity_denial

Definition at line 74 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_set_signatures_validity_denial(), policy_signatures_validity_denial(), and policy_update().

## signatures_validity_keyset

unsigned int policy::signatures_validity_keyset

Definition at line 75 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_set_signatures_validity_keyset(), policy_signatures_validity_keyset(), and policy_update().

## zone_list

zone_list_db_t* policy::zone_list

Definition at line 101 of file policy.h.

Referenced by policy_copy(), policy_free(), policy_retrieve_zone_list(), and policy_zone_list().

## zone_propagation_delay

unsigned int policy::zone_propagation_delay

Definition at line 91 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_set_zone_propagation_delay(), policy_update(), and policy_zone_propagation_delay().

## zone_soa_minimum

unsigned int policy::zone_soa_minimum

Definition at line 93 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_set_zone_soa_minimum(), policy_update(), and policy_zone_soa_minimum().

## zone_soa_serial

policy_zone_soa_serial_t policy::zone_soa_serial

Definition at line 94 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_new(), policy_set_zone_soa_serial_text(), policy_update(), and policy_zone_soa_serial_text().

## zone_soa_ttl

unsigned int policy::zone_soa_ttl

Definition at line 92 of file policy.h.

Referenced by policy_copy(), policy_create(), policy_from_result(), policy_set_zone_soa_ttl(), policy_update(), and policy_zone_soa_ttl().

The documentation for this struct was generated from the following file:

- src/db/policy.h